Skip to main content
GET
Get location by id

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

locationId
string
required

Location id.

Query Parameters

userId
string

The id of a user, will be used to look up specific prices for this user

keyIdentifier
string

The keyIdentifier of a chargingKey, will be used to look up specific prices for this chargingKey

language
string

Supported languages: en, bg, cy, de, es, fi, fr, hu, is, it, lt, nb, nl, pl, pt, ro, ru, sv.

Required string length: 2

Response

Location

id
string
required
Example:

"8rMCionje8s2LtheVGEK90mYnJdJe5OZd48ecF/w1StRJSodFFzfQ3GhJbYbxG0gQhJv/Yjp5FXBJt14SccU9zFRdnC4SV7juPdCRaWkEZo="

name
string
required

Human-readable name of the charging location

Maximum string length: 255
Example:

"Ebee Smart Technologies"

coordinates
object
required

Geographic coordinates of the charging location. These values are returned as strings.

evses
object[]
required

List of Electric Vehicle Supply Equipment (EVSE) at this location. Each EVSE may have multiple connectors.

country
string
required

Three-letter country code (ISO 3166-1 alpha-3) where the charging location is situated

Required string length: 3
Example:

"DEU"

city
string
required

City where the charging location is situated

Example:

"Berlin"

address
string
required

Street address of the charging location

Example:

"EUREF CAMPUS 4-5"

last_updated
string
required

ISO 8601 timestamp of when this location's data was last updated. Use this to track changes and implement efficient polling.

Example:

"2024-03-15T14:30:00Z"

parking_type
enum<string>

Parking type for the charging location.

Available options:
ALONG_MOTORWAY,
PARKING_GARAGE,
PARKING_LOT,
ON_DRIVEWAY,
ON_STREET,
UNDERGROUND_GARAGE
Example:

"PARKING_LOT"

operator
object

Information about the Charging Point Operator (CPO) managing this location

operator_display_name
string

An enhanced display name of the operator. This may be the operator name as found in the operator object, or the sub-operator of the location. When showing the location to end users, this is the operator name that should be shown.

Example:

"Sub-operator X"

opening_times
object

Operating hours of the charging location

directions
object[]

Navigation instructions to help locate the charging points, available in multiple languages

state
string

State, region, or province where the charging location is situated. Format varies by country.

Example:

"Bayern"

postal_code
string

Postal code of the charging location

Example:

10829

openNow
boolean

Indicates if the location is currently open based on opening_hours and local timezone. Use this for quick filtering of available locations.

Example:

false

is_green_energy
boolean

Indicates if the location uses renewable energy sources for charging, based on CPO-provided data

Example:

false